Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class WMPSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wmps.operation.WMPSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WMPSGetCapabilities

extends GetCapabilities

This interface desribes the access to the parameters common to a OGC GetCapabilities request. It inherits three accessor methods from the general OGC web service request interface.

--------------------------------------------------------

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Constructor Summary
`WMPSGetCapabilities(String version, String id, String updateSequence, Map<String,String> vendorSpecificParameter)` Creates a new WMPSGetCapabilities object.

Method Summary
`static WMPSGetCapabilities` | `create(Map<String,String> paramMap)` creates an WMPS GetCapabilities Request
`String` | `getRequestParameter()` returns the URI of a HTTP GET request.
`String` | `getServiceName()` returns 'WMPS' as service name

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMPSGetCapabilities

    WMPSGetCapabilities(String version,
                        String id,
                        String updateSequence,
                        Map<String,String> vendorSpecificParameter)

  Creates a new WMPSGetCapabilities object.

  Parameters:
    `version` -
    `id` -
    `updateSequence` -
    `vendorSpecificParameter` -

Method Detail

### create

    public static WMPSGetCapabilities create(Map<String,String> paramMap)
                                      throws InconsistentRequestException

  creates an WMPS GetCapabilities Request

  Parameters:
    `paramMap` - the parameters of the request
  Returns:
    the GetCapabilities request
  Throws:
    `InconsistentRequestException` - if the request is inconsistent

### getRequestParameter

    public String getRequestParameter()

  returns the URI of a HTTP GET request.

  Specified by:
    `getRequestParameter` in interface `OGCWebServiceRequest`
  Overrides:
    `getRequestParameter` in class `AbstractOGCWebServiceRequest`
  Returns:
    String

### getServiceName

    public String getServiceName()

  returns 'WMPS' as service name

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org